ru.bitel.bgbilling.modules.inet.api.common.event

## Class InetServTypeModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<InetServType>
    - - ru.bitel.bgbilling.modules.inet.api.common.event.InetServTypeModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetServTypeModifiedEvent
      extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<InetServType>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `newItem, oldItem`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetServTypeModifiedEvent()`
    `` | `InetServTypeModifiedEvent(int moduleId, int userId, InetServType oldInetServType, InetServType newInetServType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetServType` | `getNewInetServType()`
    `InetServType` | `getOldInetServType()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `getNewItem, getOldItem`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetServTypeModifiedEvent

          protected InetServTypeModifiedEvent()

    - #### InetServTypeModifiedEvent

          public InetServTypeModifiedEvent(int moduleId,
                                           int userId,
                                           InetServType oldInetServType,
                                           InetServType newInetServType)

  - ### Method Detail

    - #### getOldInetServType

          public InetServType getOldInetServType()

    - #### getNewInetServType

          public InetServType getNewInetServType()